| OrbbecSDK 1.5.7 OrbbecSDK: Software-Development-Kit for Orbbec 3D-Sensor devices

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
ob::StreamProfileList Class Reference

`#include <StreamProfile.hpp>`

## Public Member Functions
| StreamProfileList (std::unique_ptr< StreamProfileListImpl > impl)
| ~StreamProfileList () noexcept
uint32_t | count () const
| Get stream profile count. More...
const std::shared_ptr< StreamProfile > | getProfile (uint32_t index)
| Get StreamProfile by index number. More...
const std::shared_ptr< VideoStreamProfile > | getVideoStreamProfile (int width=0, int height=0, OBFormat format=OB_FORMAT_UNKNOWN, int fps=0)
| Match the corresponding stream profile through the passed in parameters. If there are multiple matches, the first one in the list will be returned by default. If no matched profile found, will throw exception! More...

## Protected Attributes
std::unique_ptr< StreamProfileListImpl > | impl_

## Detailed Description

Definition at line 227 of file StreamProfile.hpp.

## Constructor & Destructor Documentation

ob::StreamProfileList::StreamProfileList | ( | std::unique_ptr< StreamProfileListImpl > | impl | ) |

ob::StreamProfileList::~StreamProfileList | ( |  | ) |
| noexcept

## Member Function Documentation

uint32_t ob::StreamProfileList::count | ( |  | ) | const

Get stream profile count.

Returns
  uint32_t returns the number of StreamProfile

const std::shared_ptr<StreamProfile> ob::StreamProfileList::getProfile | ( | uint32_t | index | ) |

Get StreamProfile by index number.

Parameters

  index | Device index to be created，the range is [0, count-1],if the index exceeds the range, an exception will be thrown

Returns
  std::shared_ptr<StreamProfile> returns StreamProfile object

const std::shared_ptr<VideoStreamProfile> ob::StreamProfileList::getVideoStreamProfile | ( | int | width = `0`,
|  | int | height = `0`,
|  | OBFormat | format = `OB_FORMAT_UNKNOWN`,
|  | int | fps = `0`
| ) |  |

Match the corresponding stream profile through the passed in parameters. If there are multiple matches, the first one in the list will be returned by default. If no matched profile found, will throw exception!

Parameters

  width | Width. If no matching condition is required, it can be passed to 0
  height | Height. If no matching condition is required, it can be passed to 0
  format | Type. If no matching condition is required, it can be passed to OB_FORMAT_UNKNOWN
  fps | Frame rate. If no matching condition is required, it can be passed to 0

Returns
  std::shared_ptr<StreamProfile> Returns the matching resolution

## Member Data Documentation

std::unique_ptr<StreamProfileListImpl> ob::StreamProfileList::impl_
| protected

Definition at line 229 of file StreamProfile.hpp.

The documentation for this class was generated from the following file:

- /root/libobsensor/include/libobsensor/hpp/StreamProfile.hpp